Patient

A patient is a user that is receiving care.

GET/v2/fhir/Patient

List all patients

Returns a list of all patients. Pass attributes to filter the list of patients based on that criteria.

Optional query parameters

  • Name
    _id
    Type
    string
    Description

    Patient ID to filter by.

  • Name
    name
    Type
    string
    Description

    Name to filter by.

  • Name
    gender
    Type
    string
    Description

    Gender to filter by.

Request

GET
/v2/fhir/Patient
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/Patient?_id=%3Cid%3E&name=Example" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
        {
            "resourceType": "Bundle",
            "type": "searchset",
            "total": 1,
            "entry": [
                {
                "fullUrl": "http://trial.avonhealth.com/fhir/Patient/unxeY6XGFES0ASxVZtmCyXjKmac2",
                "resource": {
                    "resourceType": "Patient",
                    "id": "unxeY6XGFES0ASxVZtmCyXjKmac2",
                    "text": {
                    "status": "generated",
                    "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p>Jim male, DoB: 1974-12-25 ( Medical record number/12345 (use: USUAL, period: 2001-05-06 --> (ongoing)))</p><p>Active: true Deceased: false</p><p>Alt Names:</p><ul><li>Peter James Chalmers (OFFICIAL)</li><li>Peter James Windsor (MAIDEN)</li></ul><p>Contact Details:</p><ul><li>-unknown-(HOME)</li><li>ph: (03) 5555 6473(WORK)</li><li>ph: (03) 3410 5613(MOBILE)</li><li>ph: (03) 5555 8834(OLD)</li><li>534 Erewhon St PeasantVille, Rainbow, Vic 3999(HOME)</li></ul><p>Next-of-Kin:</p><ul><li>Bénédicte du Marché (female)</li><li>534 Erewhon St PleasantVille Vic 3999 (HOME)</li><li>+33 (237) 998327</li></ul><p>Valid Period: 2012 --> (ongoing)</p><p>Links:</p><ul><li>Managing Organization: Organization/1 \"Gastroenterology\"</li></ul></div>"
                    },
                    "identifier": [
                    {
                        "use": "usual",
                        "type": {
                        "coding": [
                            {
                            "system": "http://terminology.hl7.org/CodeSystem/v2-0203",
                            "code": "MR"
                            }
                        ]
                        },
                        "system": "urn:oid:1.2.36.146.595.217.0.1",
                        "value": "12345",
                        "period": {
                        "start": "2001-05-06"
                        },
                        "assigner": {
                        "display": "Acme Healthcare"
                        }
                    }
                    ],
                    "active": true,
                    "name": [
                    {
                        "use": "official",
                        "family": "Chalmers",
                        "given": [
                        "Peter",
                        "James"
                        ],
                        "suffix": [
                        "Jr."
                        ]
                    },
                    {
                        "use": "usual",
                        "given": [
                        "Jim"
                        ]
                    },
                    {
                        "use": "maiden",
                        "family": "Windsor",
                        "given": [
                        "Peter",
                        "James"
                        ],
                        "period": {
                        "end": "2002"
                        }
                    }
                    ],
                    "telecom": [
                    {
                        "system": "phone",
                        "value": "-unknown-",
                        "use": "home"
                    },
                    {
                        "system": "phone",
                        "value": "(03) 5555 6473",
                        "use": "work",
                        "rank": 1
                    },
                    {
                        "system": "phone",
                        "value": "(03) 3410 5613",
                        "use": "mobile",
                        "rank": 2
                    },
                    {
                        "system": "phone",
                        "value": "(03) 5555 8834",
                        "use": "old",
                        "period": {
                        "end": "2014"
                        }
                    }
                    ],
                    "gender": "male",
                    "birthDate": "1974-12-25",
                    "deceasedDateTime": "2015-02-14T13:42:00+10:00",
                    "address": [
                    {
                        "use": "home",
                        "type": "both",
                        "text": "534 Erewhon St PeasantVille, Rainbow, Vic 3999",
                        "line": [
                        "534 Erewhon St"
                        ],
                        "city": "PleasantVille",
                        "district": "Rainbow",
                        "state": "Vic",
                        "postalCode": "3999",
                        "period": {
                        "start": "1974-12-25"
                        }
                    },
                    {
                        "use": "old",
                        "type": "both",
                        "line": [
                        "123 Old St"
                        ],
                        "city": "OldCity",
                        "state": "OldState",
                        "postalCode": "1234",
                        "period": {
                        "start": "1974-12-25",
                        "end": "2000-12-31"
                        }
                    }
                    ],
                    "contact": [
                    {
                        "relationship": [
                        {
                            "coding": [
                            {
                                "system": "http://terminology.hl7.org/CodeSystem/v2-0131",
                                "code": "N"
                            }
                            ]
                        }
                        ],
                        "name": {
                        "family": "du Marché",
                        "_family": {
                            "extension": [
                            {
                                "url": "http://hl7.org/fhir/StructureDefinition/humanname-own-prefix",
                                "valueString": "VV"
                            }
                            ]
                        },
                        "given": [
                            "Bénédicte"
                        ]
                        },
                        "telecom": [
                        {
                            "system": "phone",
                            "value": "+33 (237) 998327"
                        }
                        ],
                        "address": {
                        "use": "home",
                        "type": "both",
                        "line": [
                            "534 Erewhon St"
                        ],
                        "city": "PleasantVille",
                        "district": "Rainbow",
                        "state": "Vic",
                        "postalCode": "3999",
                        "period": {
                            "start": "1974-12-25"
                        }
                        },
                        "gender": "female",
                        "period": {
                        "start": "2012"
                        }
                    }
                    ],
                    "managingOrganization": {
                    "reference": "Organization/avon-health",
                    "display": "Avon Health, Inc"
                    },
                    "communication": [
                    {
                        "language": {
                        "coding": [
                            {
                            "system": "urn:ietf:bcp:47",
                            "code": "en",
                            "display": "English"
                            }
                        ]
                        },
                        "preferred": true
                    }
                    ],
                    "extension": [
                    {
                        "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race",
                        "extension": [
                        {
                            "url": "ombCategory",
                            "valueCoding": {
                            "system": "urn:oid:2.16.840.1.113883.6.238",
                            "code": "2106-3",
                            "display": "White"
                            }
                        },
                        {
                            "url": "detailed",
                            "valueCoding": {
                            "system": "urn:oid:2.16.840.1.113883.6.238",
                            "code": "2108-9",
                            "display": "European"
                            }
                        },
                        {
                            "url": "text",
                            "valueString": "White"
                        }
                        ]
                    },
                    {
                        "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity",
                        "extension": [
                        {
                            "url": "ombCategory",
                            "valueCoding": {
                            "system": "urn:oid:2.16.840.1.113883.6.238",
                            "code": "2186-5",
                            "display": "Not Hispanic or Latino"
                            }
                        },
                        {
                            "url": "text",
                            "valueString": "Non-Hispanic"
                        }
                        ]
                    },
                    {
                        "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-tribal-affiliation",
                        "extension": [
                        {
                            "url": "tribalAffiliation",
                            "valueCodeableConcept": {
                            "coding": [
                                {
                                "system": "http://terminology.hl7.org/CodeSystem/v3-TribalEntityUS",
                                "code": "187",
                                "display": "Paiute-Shoshone Tribe of the Fallon Reservation and Colony, Nevada"
                                }
                            ],
                            "text": "Shoshone"
                            }
                        },
                        {
                            "url": "isEnrolled",
                            "valueBoolean": false
                        }
                        ]
                    },
                    {
                        "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-birthsex",
                        "valueCode": "F"
                    },
                    {
                        "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-sex",
                        "valueCode": "248152002"
                    },
                    {
                        "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-genderIdentity",
                        "valueCodeableConcept": {
                        "coding": [
                            {
                            "system": "http://snomed.info/sct",
                            "code": "446141000124107",
                            "display": "Female identity"
                            }
                        ]
                        }
                    },
                    {
                        "url": "http://hl7.org/fhir/StructureDefinition/patient-sex",
                        "valueCodeableConcept": {
                        "coding": [
                            {
                            "system": "http://hl7.org/fhir/administrative-gender",
                            "code": "male",
                            "display": "Male"
                            }
                        ]
                        }
                    },
                    {
                        "url": "http://hl7.org/fhir/StructureDefinition/patient-specimen",
                        "valueReference": {
                        "reference": "Specimen/example-serum-hemolyzed",
                        "display": "Blood Sample"
                        }
                    }
                    ]
                },
                "search": {
                    "mode": "match"
                }
                }
            ]
        }
    }